## fractgen 2.0.12

=== debian/changelog ===
fractgen (2.0.12-0ubuntu1) oneiric; urgency=low

  * Initial Ubuntu package (LP: #332530).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 04 May 2011 07:14:21 +0800

## fractgen 2.0.14

=== debian/changelog ===
fractgen (2.0.14-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 11 Nov 2012 02:46:15 -0500

## fractgen 2.1.4

=== src/CMakeLists.txt ===
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

#############################################################################
# PROGRAMS
#############################################################################

ADD_EXECUTABLE(fractgen
   colorschemeinterface.cpp
   doubleconfigentry.cpp
   dreibholz1.cpp
   fractalalgorithminterface.cpp
   fractalbuffer.cpp
   fractalcalculationthread.cpp
   fractgen.cpp
   imagedisplay.cpp
   fractalgenerator.cpp
   fractalgeneratordoc.cpp
   fractalgeneratorview.cpp
   mandelbrot.cpp
   mandelbrotn.cpp
   optionsdialog.cpp
   simplehsv.cpp
   simplergb.cpp
   uintconfigentry.cpp)

TARGET_LINK_LIBRARIES(fractgen Qt5::Widgets Qt5::Xml Qt5::Core Qt5::PrintSupport)
INSTALL(TARGETS             fractgen
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        BUNDLE DESTINATION  ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES fractgen.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)


# ###### Examples ###########################################################
FILE(GLOB fractgen_examples "examples/*.fsf")
INSTALL(FILES ${fractgen_examples} DESTINATION ${CMAKE_INSTALL_DATADIR}/fractgen/examples)

## fractgen 2.0.16

=== debian/changelog ===
fractgen (2.0.16-0ubuntu1) trusty; urgency=low

  * New Upstream release.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 25 Dec 2013 22:14:01 +0530

=== debian/control ===
Source: fractgen
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
Homepage: http://www.exp-math.uni-essen.de/~dreibh/fractalgenerator/index.html
Build-Depends: cdbs,
               debhelper (>= 7),
               libqt4-dev
Standards-Version: 3.9.2

Package: fractgen
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsplib-tools
Description: calculates fractal images
 FractGen is a simple Qt-based fractal generator program for Mandelbrot
 fractals. The image size is only limited by virtual memory. It is possible
 to zoom into images. Image parameters can be saved in XML files and loaded
 from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed
 by other image tools, e.g. in order to generate nice screen backgrounds.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

QMAKE = qmake-qt4

=== debian/watch ===
version=3
http://www.iem.uni-due.de/~dreibh/fractalgenerator/index.html	download/fractgen-(.*)\.tar\.gz

## fractgen 2.0.17

=== debian/changelog ===
fractgen (2.0.17-1) unstable; urgency=low

  * Initial release (Closes: #669893)

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Mon, 13 Jul 2015 12:25:02 +0200

=== debian/control ===
Source: fractgen
Section: graphics
Priority: optional
Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
Build-Depends: debhelper (>= 9),
               libqt4-dev
Standards-Version: 3.9.6
Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/fractgen/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/fractgen/trunk/

Package: fractgen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extensible Fractal Generator
 FractalGenerator is a Qt-based program to generate fractal images (e.g. 
 Mandelbrot set). The size of the calculated images is only limited by the 
 computer's virtual memory. That is, images may use the full printer 
 resolution !
 .
 It is possible to zoom into images. Image parameters can be saved in XML files
 and loaded from XML files. Calculated images can be exported as PNG files.  
 .
 The intention of this program is to generate graphics to be post-processed by 
 other image tools, e.g. in order to generate nice screen backgrounds or book 
 covers.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

## fractgen 2.0.19

=== debian/changelog ===
fractgen (2.0.19-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.8.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 18 Jun 2016 17:25:43 +0200

fractgen (2.0.18-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.7.
    - Update the maintainer's e-mail address.
    - Update Vcs-Browser field to use an encrypted transport protocol.
  * debian/copyright:
    - Update copyright years.
    - Update the maintainer's e-mail address.
  * debian/rules:
    - Enable all hardening options to compile as a PIE and add the bindnow
      flag.
  * Remove debian/menu to make the package CTTE #741573 compliant.

 -- Hugo Lefeuvre <hle@debian.org>  Mon, 28 Mar 2016 12:09:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: fractgen
 Section: graphics
 Priority: optional
-Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
+Maintainer: Hugo Lefeuvre <hle@debian.org>
 Build-Depends: debhelper (>= 9),
                libqt4-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/fractgen/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/fractgen/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/fractgen/trunk/
 
 Package: fractgen
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

## fractgen 2.1.0

=== debian/changelog ===
fractgen (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update dependencies to use Qt5 instead of Qt4.
  * debian/rules:
    - Force use of Qt5 via QT_SELECT.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 18 Dec 2016 13:56:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Hugo Lefeuvre <hle@debian.org>
 Build-Depends: debhelper (>= 9),
-               libqt4-dev
+               qtbase5-dev,
+               qtchooser
 Standards-Version: 3.9.8
 Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/fractgen/trunk/

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
+# Force use of Qt5
+export QT_SELECT = 5
+
 %:
 	dh $@

## fractgen 2.1.1

=== debian/changelog ===
fractgen (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.1.0.
    - Update debhelper dependency from >= 9 to >= 10.
  * Bump compat from 9 to 10.
  * Remove patches adding desktop file: Instead, add it to debian/.
  * Update copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 05 Oct 2017 22:28:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: graphics
 Priority: optional
 Maintainer: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                qtbase5-dev,
                qtchooser
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/fractgen/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/fractgen/trunk/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Force use of Qt5
export QT_SELECT = 5

%:
	dh $@

## fractgen 2.1.3

=== debian/changelog ===
fractgen (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.1.5.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 21 Jul 2018 09:36:50 -0400

fractgen (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.1.3.
    - Update debhelper dependency from >= 10 to >= 11.
  * Bump compat from 10 to 11.
  * Update copyright years.
  * Update Vcs-* fields (migrated to Git/Salsa).
  * Remove trailing whitespaces.
  * debian/examples: Install examples from src/examples.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 23 Mar 2018 13:16:47 +0100

=== debian/control ===
Source: fractgen
Section: graphics
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 11),
               qtbase5-dev,
               qtchooser
Standards-Version: 4.1.5
Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
Vcs-Git: https://salsa.debian.org/hle/fractgen.git
Vcs-Browser: https://salsa.debian.org/hle/fractgen

Package: fractgen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extensible Fractal Generator
 FractalGenerator is a Qt-based program to generate fractal images (e.g.
 Mandelbrot set). The size of the calculated images is only limited by the
 computer's virtual memory. That is, images may use the full printer
 resolution !
 .
 It is possible to zoom into images. Image parameters can be saved in XML files
 and loaded from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed by
 other image tools, e.g. in order to generate nice screen backgrounds or book
 covers.

## fractgen 2.1.4

=== debian/changelog ===
fractgen (2.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.3.0.
    - Add new cmake build dependency.
  * Use manpage from src/ and remove debian/ one.
  * Stop installing examples manually, new build system cmake is
    handling it automatically.
  * Update copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 02 Feb 2019 14:46:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: graphics
 Priority: optional
 Maintainer: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: cmake,
+               debhelper (>= 11),
                qtbase5-dev,
                qtchooser
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
 Vcs-Git: https://salsa.debian.org/hle/fractgen.git
 Vcs-Browser: https://salsa.debian.org/hle/fractgen
 
 Package: fractgen
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Extensible Fractal Generator
  FractalGenerator is a Qt-based program to generate fractal images (e.g.
  Mandelbrot set). The size of the calculated images is only limited by the

## fractgen 2.1.4.1+rb2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(fractgen)

SET(BUILD_MAJOR "2")
SET(BUILD_MINOR "1")
SET(BUILD_PATCH "4")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
# INSTALLATION_DIRECTORIES
#############################################################################

SET(CMAKE_INSTALL_BINDIR        "bin"       CACHE PATH "user executables [PREFIX/bin]")
SET(CMAKE_INSTALL_SBINDIR       "sbin"      CACHE PATH "system admin executables [EPREFIX/sbin]")
SET(CMAKE_INSTALL_DATADIR       "share"     CACHE PATH "read-only architecture-independent data [PREFIX/share]")
SET(CMAKE_INSTALL_SYSCONFDIR    "etc"       CACHE PATH "read-only single-machine data [PREFIX/etc]")
SET(CMAKE_INSTALL_LOCALSTATEDIR "var"       CACHE PATH "modifiable single-machine data [PREFIX/var]")
SET(CMAKE_INSTALL_LIBDIR        "lib"       CACHE PATH "object code libraries [PREFIX/lib]")
SET(CMAKE_INSTALL_INCLUDEDIR    "include"   CACHE PATH "read-only includes [PREFIX/include]")
SET(CMAKE_INSTALL_MANDIR        "share/man" CACHE PATH "man documentation [PREFIX/share/man]")


#############################################################################
# PACKAGING
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
   "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES
   "${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}-*;${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}_*;/build/;/.git/;/config.log;/CMakeFiles/;CMakeCache.txt$;.cmake$;.tar.gz$;/_CPack_Packages;/Makefile$;~$;/build-deb;/clean-deb;/filter-empty-entries;/make-symbols;/make-ppa;/make-deb;/debian.conf;/make-rpm;/rpm.conf;${CPACK_SOURCE_IGNORE_FILES}")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


INCLUDE(CheckIncludeFile)
INCLUDE(CheckStructHasMember)


#############################################################################
# OS-DEPENDENT
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    ADD_DEFINITIONS("-D_DEFAULT_SOURCE -DLINUX")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")
    ADD_DEFINITIONS("-DFreeBSD")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")
    ADD_DEFINITIONS("-DDARWIN")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    LIST(APPEND neat_headers neat_bsd.h)
    LIST(APPEND neat_sources neat_bsd.c)
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")
    ADD_DEFINITIONS("-DNetBSD")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    ADD_DEFINITIONS("-DSOLARIS")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
# REQUIREMENTS
#############################################################################

# ###### Qt #################################################################
OPTION(ENABLE_QT "Include Qt programs" 1)
IF (ENABLE_QT)
   SET(CMAKE_AUTOMOC ON)
   FIND_PACKAGE(Qt5 COMPONENTS Core Xml Widgets PrintSupport REQUIRED)
ENDIF()


#############################################################################
# COMPILER FLAGS
#############################################################################

SET(CMAKE_CXX_STANDARD 14)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)

SET(CMAKE_C_STANDARD 11)
SET(CMAKE_C_STANDARD_REQUIRED ON)
SET(CMAKE_C_EXTENSIONS OFF)

SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wall -Werror")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")

IF (CMAKE_BUILD_TYPE MATCHES DEBUG)
    MESSAGE(STATUS "Building in DEBUG mode")
    # _FORTIFY_SOURCE requires compiling with optimization
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
ENDIF()


#############################################################################
# SUBDIRECTORIES
#############################################################################

ADD_SUBDIRECTORY(src)

=== debian/changelog ===
fractgen (2.1.4.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 27 Jan 2021 17:19:19 +0800

## fractgen 2.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-PROJECT(fractgen)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
+PROJECT(fractgen LANGUAGES C CXX)
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "1")
-SET(BUILD_PATCH "4")
+SET(BUILD_PATCH "5")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 
@@ -11,14 +11,8 @@
 # INSTALLATION_DIRECTORIES
 #############################################################################
 
-SET(CMAKE_INSTALL_BINDIR        "bin"       CACHE PATH "user executables [PREFIX/bin]")
-SET(CMAKE_INSTALL_SBINDIR       "sbin"      CACHE PATH "system admin executables [EPREFIX/sbin]")
-SET(CMAKE_INSTALL_DATADIR       "share"     CACHE PATH "read-only architecture-independent data [PREFIX/share]")
-SET(CMAKE_INSTALL_SYSCONFDIR    "etc"       CACHE PATH "read-only single-machine data [PREFIX/etc]")
-SET(CMAKE_INSTALL_LOCALSTATEDIR "var"       CACHE PATH "modifiable single-machine data [PREFIX/var]")
-SET(CMAKE_INSTALL_LIBDIR        "lib"       CACHE PATH "object code libraries [PREFIX/lib]")
-SET(CMAKE_INSTALL_INCLUDEDIR    "include"   CACHE PATH "read-only includes [PREFIX/include]")
-SET(CMAKE_INSTALL_MANDIR        "share/man" CACHE PATH "man documentation [PREFIX/share/man]")
+# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
+INCLUDE(GNUInstallDirs)
 
 
 #############################################################################
@@ -85,11 +79,25 @@
 #############################################################################
 
 # ###### Qt #################################################################
-OPTION(ENABLE_QT "Include Qt programs" 1)
-IF (ENABLE_QT)
-   SET(CMAKE_AUTOMOC ON)
-   FIND_PACKAGE(Qt5 COMPONENTS Core Xml Widgets PrintSupport REQUIRED)
+SET(CMAKE_AUTOMOC ON)
+FIND_PACKAGE(Qt5 COMPONENTS Core Xml Widgets PrintSupport REQUIRED)
+
+# ###### KDE ################################################################
+OPTION(ENABLE_KDE "Include KDE version" 0)
+IF (ENABLE_KDE)
+   FIND_PACKAGE(ECM "1.0.0" NO_MODULE REQUIRED)
+   SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+
+   INCLUDE(KDEInstallDirs)
+   INCLUDE(KDECMakeSettings)
+   INCLUDE(KDECompilerSettings NO_POLICY_SCOPE)
+   INCLUDE(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+
+   FIND_PACKAGE(KF5 "5.2.0" REQUIRED COMPONENTS CoreAddons WidgetsAddons XmlGui)
 ENDIF()
+
+INCLUDE(FeatureSummary)
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
 #############################################################################

=== src/CMakeLists.txt ===
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

#############################################################################
# PROGRAMS
#############################################################################

ADD_EXECUTABLE(fractgen
   colorschemeinterface.cc
   doubleconfigentry.cc
   dreibholz1.cc
   fractalalgorithminterface.cc
   fractalbuffer.cc
   fractalcalculationthread.cc
   fractgen.cc
   imagedisplay.cc
   fractalgenerator.cc
   fractalgeneratordoc.cc
   fractalgeneratorview.cc
   mandelbrot.cc
   mandelbrotn.cc
   optionsdialog.cc
   simplehsv.cc
   simplergb.cc
   uintconfigentry.cc)

TARGET_LINK_LIBRARIES(fractgen Qt5::Widgets Qt5::Xml Qt5::Core Qt5::PrintSupport)
INSTALL(TARGETS             fractgen
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        BUNDLE DESTINATION  ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES fractgen.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)


IF (ENABLE_KDE)
   ADD_EXECUTABLE(kfractgen
   colorschemeinterface.cc
   doubleconfigentry.cc
   dreibholz1.cc
   fractalalgorithminterface.cc
   fractalbuffer.cc
   fractalcalculationthread.cc
   fractgen.cc
   imagedisplay.cc
   fractalgenerator.cc
   fractalgeneratordoc.cc
   fractalgeneratorview.cc
   mandelbrot.cc
   mandelbrotn.cc
   optionsdialog.cc
   simplehsv.cc
   simplergb.cc
   uintconfigentry.cc)

   SET_TARGET_PROPERTIES(kfractgen PROPERTIES COMPILE_FLAGS "-DWITH_KDE")
   TARGET_LINK_LIBRARIES(kfractgen Qt5::Widgets Qt5::Xml Qt5::Core Qt5::PrintSupport KF5::CoreAddons KF5::WidgetsAddons KF5::XmlGui)
   INSTALL(TARGETS             kfractgen
           RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
           BUNDLE DESTINATION  ${CMAKE_INSTALL_BINDIR})
ENDIF()


# ###### Examples ###########################################################
FILE(GLOB fractgen_examples "examples/*.fsf")
INSTALL(FILES ${fractgen_examples} DESTINATION ${CMAKE_INSTALL_DATADIR}/fractgen/examples)

=== debian/changelog ===
fractgen (2.1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not build with -Werror. (Closes: #964627)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 10:01:15 +0200

fractgen (2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to debhelper-compat (delete debian/compat).
  * debian/control:
    - Bump Standards-Version to 4.4.0.
    - Bump debhelper dependency to = 12.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 26 Jul 2019 15:30:08 -0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Hugo Lefeuvre <hle@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                qtbase5-dev,
                qtchooser
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
 Vcs-Git: https://salsa.debian.org/hle/fractgen.git
 Vcs-Browser: https://salsa.debian.org/hle/fractgen

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export QT_SELECT = 5
 
 %:
-	dh $@ 
+	dh $@

## fractgen 2.1.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "1")
-SET(BUILD_PATCH "5")
+SET(BUILD_PATCH "13")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 
 #############################################################################
-# INSTALLATION_DIRECTORIES
+#### INSTALLATION_DIRECTORIES                                            ####
 #############################################################################
 
 # See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
@@ -16,10 +16,10 @@
 
 
 #############################################################################
-# PACKAGING
+#### PACKAGING                                                           ####
 #############################################################################
 
-SET(CPACK_SOURCE_GENERATOR "TGZ")
+SET(CPACK_SOURCE_GENERATOR "TXZ")
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
 SET(CPACK_SOURCE_IGNORE_FILES
@@ -34,39 +34,29 @@
 
 
 #############################################################################
-# OS-DEPENDENT
+#### OS-DEPENDENT                                                        ####
 #############################################################################
 
 IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
-    ADD_DEFINITIONS("-D_DEFAULT_SOURCE -DLINUX")
 
 ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
     SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
     SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
     INCLUDE_DIRECTORIES("/usr/local/include")
-    ADD_DEFINITIONS("-DFreeBSD")
 
 ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
     SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
     SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
     INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")
-    ADD_DEFINITIONS("-DDARWIN")
 
 ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
-    LIST(APPEND neat_headers neat_bsd.h)
-    LIST(APPEND neat_sources neat_bsd.c)
     SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
     SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
     INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")
-    ADD_DEFINITIONS("-DNetBSD")
-
-ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
-    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
-    ADD_DEFINITIONS("-DSOLARIS")
 
 ELSE()
     MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")
@@ -75,12 +65,12 @@
 
 
 #############################################################################
-# REQUIREMENTS
+#### REQUIREMENTS                                                        ####
 #############################################################################
 
 # ###### Qt #################################################################
 SET(CMAKE_AUTOMOC ON)
-FIND_PACKAGE(Qt5 COMPONENTS Core Xml Widgets PrintSupport REQUIRED)
+FIND_PACKAGE(Qt5 5.3.0 COMPONENTS Core LinguistTools PrintSupport Widgets Xml REQUIRED)
 
 # ###### KDE ################################################################
 OPTION(ENABLE_KDE "Include KDE version" 0)
@@ -101,7 +91,7 @@
 
 
 #############################################################################
-# COMPILER FLAGS
+#### COMPILER FLAGS                                                      ####
 #############################################################################
 
 SET(CMAKE_CXX_STANDARD 14)
@@ -123,7 +113,7 @@
 
 
 #############################################################################
-# SUBDIRECTORIES
+#### SUBDIRECTORIES                                                      ####
 #############################################################################
 
 ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SET(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 #############################################################################
-# PROGRAMS
+#### PROGRAMS                                                            ####
 #############################################################################
 
 ADD_EXECUTABLE(fractgen
@@ -22,12 +22,28 @@
    simplehsv.cc
    simplergb.cc
    uintconfigentry.cc)
+TARGET_LINK_LIBRARIES(fractgen Qt5::Widgets Qt5::Xml Qt5::Core Qt5::PrintSupport)
 
-TARGET_LINK_LIBRARIES(fractgen Qt5::Widgets Qt5::Xml Qt5::Core Qt5::PrintSupport)
 INSTALL(TARGETS             fractgen
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
         BUNDLE DESTINATION  ${CMAKE_INSTALL_BINDIR})
 INSTALL(FILES fractgen.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+
+INSTALL(FILES fractgen.png     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)
+INSTALL(FILES fractgen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+INSTALL(FILES fractgen.xml     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mime/packages)
+
+FILE(GLOB FRACTGEN_TS_FILES  "fractgen_*.ts")
+SET(FRACTGEN_QM_FILES "")
+FOREACH(tsFile IN LISTS FRACTGEN_TS_FILES)
+   GET_FILENAME_COMPONENT(fileBase ${tsFile} NAME_WE)
+   SET(qmFile "${fileBase}.qm")
+   ADD_CUSTOM_COMMAND(OUTPUT ${qmFile}
+                      COMMAND Qt5::lrelease ${tsFile})
+   ADD_CUSTOM_TARGET(target_${qmFile} ALL DEPENDS ${qmFile})
+   LIST(APPEND FRACTGEN_QM_FILES ${qmFile})
+ENDFOREACH()
+INSTALL(FILES ${FRACTGEN_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/fractgen)
 
 
 IF (ENABLE_KDE)

=== debian/changelog ===
fractgen (2.1.13-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:20:17 +0000

fractgen (2.1.13-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:18:37 +0000

fractgen (2.1.13-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:25:12 +0000

fractgen (2.1.13-1) unstable; urgency=medium

  * New upstream version 2.1.13 (Closes: #998800)
  * Move package to Math team maintenance (Closes: #1050245)
  * Upstream changed location to nntb.no and also
    the signing key. Change accordingly.
  * Add B-D on qttools5-dev
  * Bump debhelper compatibility level to 13
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Bump d/watch version to 4
  * Add d/u/metadata
  * Update lintian override
  * Add "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@debian.org>  Fri, 25 Aug 2023 03:11:19 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: fractgen
 Section: graphics
 Priority: optional
-Maintainer: Hugo Lefeuvre <hle@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Uploaders: Nilesh Patra <nilesh@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                qtbase5-dev,
+               qttools5-dev,
                qtchooser
-Standards-Version: 4.4.0
-Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
-Vcs-Git: https://salsa.debian.org/hle/fractgen.git
-Vcs-Browser: https://salsa.debian.org/hle/fractgen
+Standards-Version: 4.6.2
+Homepage: https://www.nntb.no/~dreibh/fractalgenerator
+Vcs-Git: https://salsa.debian.org/math-team/fractgen.git
+Vcs-Browser: https://salsa.debian.org/math-team/fractgen
+Rules-Requires-Root: no
 
 Package: fractgen
 Architecture: any

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.nntb.no/~dreibh/fractalgenerator/download/fractgen-(.+)\.tar\.xz

## fractgen 3.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,30 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
+# ==========================================================================
+# ====                   FRACTAL GRAPHICS GENERATOR                     ====
+# ==========================================================================
+#
+# Copyright (C) 2003-2024 by Thomas Dreibholz
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+# Contact: thomas.dreibholz@gmail.com
+
+CMAKE_MINIMUM_REQUIRED(VERSION 3.16)
 PROJECT(fractgen LANGUAGES C CXX)
 
-SET(BUILD_MAJOR "2")
-SET(BUILD_MINOR "1")
-SET(BUILD_PATCH "13")
+SET(BUILD_MAJOR "3")
+SET(BUILD_MINOR "0")
+SET(BUILD_PATCH "5")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 
@@ -21,9 +42,15 @@
 
 SET(CPACK_SOURCE_GENERATOR "TXZ")
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME
-   "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
-SET(CPACK_SOURCE_IGNORE_FILES
-   "${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}-*;${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}_*;/build/;/.git/;/config.log;/CMakeFiles/;CMakeCache.txt$;.cmake$;.tar.gz$;/_CPack_Packages;/Makefile$;~$;/build-deb;/clean-deb;/filter-empty-entries;/make-symbols;/make-ppa;/make-deb;/debian.conf;/make-rpm;/rpm.conf;${CPACK_SOURCE_IGNORE_FILES}")
+    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
+SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
 INCLUDE(CPack)
 
 ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)
@@ -65,16 +92,40 @@
 
 
 #############################################################################
+#### OPTIONS                                                             ####
+#############################################################################
+
+OPTION(WITH_QT  "Build the Qt version"           1)
+OPTION(WITH_KDE "Build the KDE version"          0)
+OPTION(WITH_CLI "Build the command-line version" 1)
+
+
+
+#############################################################################
 #### REQUIREMENTS                                                        ####
 #############################################################################
 
 # ###### Qt #################################################################
 SET(CMAKE_AUTOMOC ON)
-FIND_PACKAGE(Qt5 5.3.0 COMPONENTS Core LinguistTools PrintSupport Widgets Xml REQUIRED)
+FIND_PACKAGE(QT NAMES Qt6 COMPONENTS Core Network Widgets Xml PrintSupport)
+IF (NOT QT_FOUND)
+   FIND_PACKAGE(QT NAMES Qt5 REQUIRED COMPONENTS Core Network Widgets Xml PrintSupport)
+ENDIF()
+MESSAGE("Using Qt version ${QT_VERSION_MAJOR}!")
+FIND_PACKAGE(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Network Widgets Xml PrintSupport)
+FIND_PROGRAM(LRELEASE lrelease PATHS /usr/local/lib/qt${QT_VERSION_MAJOR}/bin
+                                     /usr/lib64/qt${QT_VERSION_MAJOR}/bin
+                                     /usr/lib/qt${QT_VERSION_MAJOR}/bin
+                                     /usr/bin
+                               REQUIRED)
+MESSAGE("Using LRelease ${LRELEASE}!")
 
 # ###### KDE ################################################################
-OPTION(ENABLE_KDE "Include KDE version" 0)
-IF (ENABLE_KDE)
+IF (WITH_KDE)
+   # Needed:
+   # KDE5: libkf5coreaddons-dev libkf5xmlgui-dev
+   # KDE6: libkf6coreaddons-dev libkf6xmlgui-dev
+
    FIND_PACKAGE(ECM "1.0.0" NO_MODULE REQUIRED)
    SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
@@ -83,7 +134,7 @@
    INCLUDE(KDECompilerSettings NO_POLICY_SCOPE)
    INCLUDE(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
-   FIND_PACKAGE(KF5 "5.2.0" REQUIRED COMPONENTS CoreAddons WidgetsAddons XmlGui)
+   FIND_PACKAGE(KF${QT_VERSION_MAJOR} "${QT_VERSION_MAJOR}.0.0" REQUIRED COMPONENTS CoreAddons WidgetsAddons XmlGui)
 ENDIF()
 
 INCLUDE(FeatureSummary)
@@ -91,28 +142,6 @@
 
 
 #############################################################################
-#### COMPILER FLAGS                                                      ####
-#############################################################################
-
-SET(CMAKE_CXX_STANDARD 14)
-SET(CMAKE_CXX_STANDARD_REQUIRED ON)
-SET(CMAKE_CXX_EXTENSIONS OFF)
-
-SET(CMAKE_C_STANDARD 11)
-SET(CMAKE_C_STANDARD_REQUIRED ON)
-SET(CMAKE_C_EXTENSIONS OFF)
-
-SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wall -Werror")
-SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
-
-IF (CMAKE_BUILD_TYPE MATCHES DEBUG)
-    MESSAGE(STATUS "Building in DEBUG mode")
-    # _FORTIFY_SOURCE requires compiling with optimization
-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
-ENDIF()
-
-
-#############################################################################
 #### SUBDIRECTORIES                                                      ####
 #############################################################################

=== freebsd/fractgen/Makefile ===
PORTNAME=	fractgen
DISTVERSION=	3.0.5
PORTREVISION=	1
CATEGORIES=	graphics
MASTER_SITES=	https://www.nntb.no/~dreibh/fractalgenerator/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	Fractal Generator
WWW=		https://www.nntb.no/~dreibh/fractalgenerator/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

USES=		cmake compiler:c++17-lang desktop-file-utils gl qt:6 \
		shared-mime-info tar:xz
USE_GL=		gl opengl
USE_QT=		base tools:build

.include <bsd.port.mk>

=== debian/changelog ===
fractgen (3.0.5-1) unstable; urgency=medium

  [ Thomas Dreibholz ]
  * New upstream release.
  * debian/control:
    + Updated standards version to 4.7.2.
    + Split into multiple binary packages

  [ Nilesh Patra ]
  * Move -examples package to suggests
  * Run wrap-and-sort -ast
  * Add Breaks+Replaces for fractgen in fractgen-examples
    package.
  * Add Breaks+Replaces for fractgen on fractgen-common
  * Set min cmake version to fix FTBFS (Closes: #1112931)
  * Add patch to avoid locale load error print
  * Update license

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Sep 2025 17:17:30 +0530

=== debian/control ===
Source: fractgen
Section: graphics
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders:
 Nilesh Patra <nilesh@debian.org>,
 Thomas Dreibholz <thomas.dreibholz@gmail.com>,
Homepage: https://www.nntb.no/~dreibh/fractalgenerator/
Vcs-Git: https://salsa.debian.org/math-team/fractgen.git
Vcs-Browser: https://salsa.debian.org/math-team/fractgen
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 extra-cmake-modules,
 libkf6coreaddons-dev,
 libkf6xmlgui-dev,
 qt6-base-dev,
 qt6-l10n-tools,
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: fractgen
Architecture: any
Depends:
 fractgen-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 fractgen-examples (>= ${source:Version}),
 rsplib-tools,
Description: fractal images calculation application (Qt version)
 FractGen is a simple Qt-based fractal generator program for Mandelbrot
 fractals. The image size is only limited by virtual memory. It is possible
 to zoom into images. Image parameters can be saved in XML files and loaded
 from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed
 by other image tools, e.g. in order to generate nice screen backgrounds or
 book covers.
 .
 This is the Qt version of FractGen.

Package: kfractgen
Architecture: any
Depends:
 fractgen-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 fractgen-examples (>= ${source:Version}),
 rsplib-tools,
Description: fractal images calculation application (KDE version)
 FractGen is a simple Qt-based fractal generator program for Mandelbrot
 fractals. The image size is only limited by virtual memory. It is possible
 to zoom into images. Image parameters can be saved in XML files and loaded
 from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed
 by other image tools, e.g. in order to generate nice screen backgrounds or
 book covers.
 .
 This is the KDE version of FractGen.

Package: clifractgen
Architecture: any
Depends:
 fractgen-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 fractgen-examples (>= ${source:Version}),
 rsplib-tools,
Description: fractal images calculation application (command-line version)
 FractGen is a simple Qt-based fractal generator program for Mandelbrot
 fractals. The image size is only limited by virtual memory. It is possible
 to zoom into images. Image parameters can be saved in XML files and loaded
 from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed
 by other image tools, e.g. in order to generate nice screen backgrounds or
 book covers.
 .
 This is the command-line version of FractGen.

Package: fractgen-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks: fractgen (<< 3.0.5-1)
Replaces: fractgen (<< 3.0.5-1)
Description: common files for FractGen
 FractGen is a simple Qt-based fractal generator program for Mandelbrot
 fractals. The image size is only limited by virtual memory. It is possible
 to zoom into images. Image parameters can be saved in XML files and loaded
 from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed
 by other image tools, e.g. in order to generate nice screen backgrounds or
 book covers.
 .
 This package contains commen files for the Qt, KDE and command-line
 versions of FractGen.

Package: fractgen-examples
Architecture: all
Depends:
 ${misc:Depends},
Breaks: fractgen (<< 3.0.5-1)
Replaces: fractgen (<< 3.0.5-1)
Recommends: fractgen
Description: example files for FractGen
 This package contains some example input files for the fractal generator
 program FractGen. The example files contain the parameters for the
 fractal calculations. FractGen can perform the computations and display
 the resulting images.

=== debian/tests/control ===
Tests: 10-clifractgen
Depends: clifractgen,
         fractgen-examples,
         graphicsmagick
